curl --request GET \
--url https://int-data.moneydesktop.com/member/{member_guid}/credentials \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/member/{member_guid}/credentials"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/member/{member_guid}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentials": [
{
"answer_field_type": null,
"created_at": "2016-09-21T22:08:59.000Z",
"display_name": null,
"display_order": 1,
"editable": true,
"escaped": null,
"field_name": "LOGIN",
"field_type": 3,
"field_type_name": "LOGIN",
"guid": "CRD-9f61fb4c-912c-bd1e-b175-ccc7f0275cc1",
"institution_guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"label": "Username",
"max_length": null,
"meta_data": null,
"mfa": false,
"optional": false,
"optional_mfa": null,
"size": null,
"updated_at": "2016-09-21T22:08:59.000Z",
"value_identifier": null,
"value_mask": null
}
]
}List member credentials
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the member. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
The field type for the answer field when this credential is used for MFA challenges.
null
Date and time the institution was created, represented in ISO 8601 format with timestamp
"2016-09-21T22:08:59.000Z"
The human-readable name to display for this credential field.
null
The order in which this credential field should be displayed to the user.
1
Indicates whether this credential field can be edited after initial creation.
true
Indicates whether special characters in the credential value should be escaped.
null
The internal name of the credential field type (e.g., LOGIN, PASSWORD).
"LOGIN"
The numeric identifier for the credential field type. See credential field types table for mappings.
3
The string name corresponding to the field_type numeric identifier.
"LOGIN"
A unique identifier for the institution. Defined by MX.
"CRD-9f61fb4c-912c-bd1e-b175-ccc7f0275cc1"
The unique identifier for the institution this credential belongs to. Defined by MX.
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
The label text to display next to the credential input field.
"Username"
The maximum character length allowed for this credential field value.
null
Additional metadata associated with this credential field.
null
Indicates whether this credential is used for multi-factor authentication.
false
Indicates whether this credential field is optional when creating or updating a member.
false
Indicates whether this credential is optional when answering MFA challenges.
null
The display size (width) for the credential input field.
null
Date and time the credential was last updated, represented in ISO 8601 format with timestamp.
"2016-09-21T22:08:59.000Z"
An identifier used to reference the credential value in certain contexts.
null
A pattern or mask to apply when displaying the credential value (e.g., for passwords).
null

